UNPKG

@loopback/docs

Version:
1,549 lines 498 kB
{ "metadata": { "toolPackage": "@microsoft/api-extractor", "toolVersion": "7.6.2", "schemaVersion": 1003, "oldestForwardsCompatibleVersion": 1001 }, "kind": "Package", "canonicalReference": "@loopback/rest!", "docComment": "", "name": "@loopback/rest", "members": [ { "kind": "EntryPoint", "canonicalReference": "@loopback/rest!", "name": "", "members": [ { "kind": "Interface", "canonicalReference": "@loopback/rest!ApiExplorerOptions:interface", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "export interface ApiExplorerOptions " } ], "releaseTag": "Public", "name": "ApiExplorerOptions", "members": [ { "kind": "PropertySignature", "canonicalReference": "@loopback/rest!ApiExplorerOptions#disabled:member", "docComment": "/**\n * Set this flag to disable the built-in redirect to externally hosted API Explorer UI.\n */\n", "excerptTokens": [ { "kind": "Content", "text": "disabled?: " }, { "kind": "Content", "text": "true" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "disabled", "propertyTypeTokenRange": { "startIndex": 1, "endIndex": 2 } }, { "kind": "PropertySignature", "canonicalReference": "@loopback/rest!ApiExplorerOptions#httpUrl:member", "docComment": "/**\n * URL for the API explorer served over `http` protocol to deal with mixed content security imposed by browsers as the spec is exposed over `http` by default. See https://github.com/strongloop/loopback-next/issues/1603\n */\n", "excerptTokens": [ { "kind": "Content", "text": "httpUrl?: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "httpUrl", "propertyTypeTokenRange": { "startIndex": 1, "endIndex": 2 } }, { "kind": "PropertySignature", "canonicalReference": "@loopback/rest!ApiExplorerOptions#url:member", "docComment": "/**\n * URL for the hosted API explorer UI default to https://loopback.io/api-explorer\n */\n", "excerptTokens": [ { "kind": "Content", "text": "url?: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "url", "propertyTypeTokenRange": { "startIndex": 1, "endIndex": 2 } } ], "extendsTokenRanges": [] }, { "kind": "Function", "canonicalReference": "@loopback/rest!assignRouterSpec:function(1)", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "export declare function assignRouterSpec(target: " }, { "kind": "Reference", "text": "RouterSpec", "canonicalReference": "@loopback/rest!RouterSpec:type" }, { "kind": "Content", "text": ", additions: " }, { "kind": "Reference", "text": "RouterSpec", "canonicalReference": "@loopback/rest!RouterSpec:type" }, { "kind": "Content", "text": "): " }, { "kind": "Content", "text": "void" }, { "kind": "Content", "text": ";" } ], "returnTypeTokenRange": { "startIndex": 5, "endIndex": 6 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "target", "parameterTypeTokenRange": { "startIndex": 1, "endIndex": 2 } }, { "parameterName": "additions", "parameterTypeTokenRange": { "startIndex": 3, "endIndex": 4 } } ], "name": "assignRouterSpec" }, { "kind": "Class", "canonicalReference": "@loopback/rest!BaseRoute:class", "docComment": "/**\n * Base implementation of RouteEntry\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export declare abstract class BaseRoute implements " }, { "kind": "Reference", "text": "RouteEntry", "canonicalReference": "@loopback/rest!RouteEntry:interface" }, { "kind": "Content", "text": " " } ], "releaseTag": "Public", "name": "BaseRoute", "members": [ { "kind": "Constructor", "canonicalReference": "@loopback/rest!BaseRoute:constructor(1)", "docComment": "/**\n * Construct a new route\n *\n * @param verb - http verb\n *\n * @param path - http request path pattern\n *\n * @param spec - OpenAPI operation spec\n */\n", "excerptTokens": [ { "kind": "Content", "text": "constructor(verb: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ", path: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ", spec: " }, { "kind": "Reference", "text": "OperationObject", "canonicalReference": "openapi3-ts!OperationObject:interface" }, { "kind": "Content", "text": ");" } ], "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "verb", "parameterTypeTokenRange": { "startIndex": 1, "endIndex": 2 } }, { "parameterName": "path", "parameterTypeTokenRange": { "startIndex": 3, "endIndex": 4 } }, { "parameterName": "spec", "parameterTypeTokenRange": { "startIndex": 5, "endIndex": 6 } } ] }, { "kind": "Method", "canonicalReference": "@loopback/rest!BaseRoute#describe:member(1)", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "describe(): " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "isStatic": false, "returnTypeTokenRange": { "startIndex": 1, "endIndex": 2 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [], "name": "describe" }, { "kind": "Method", "canonicalReference": "@loopback/rest!BaseRoute#invokeHandler:member(1)", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "abstract invokeHandler(requestContext: " }, { "kind": "Reference", "text": "Context", "canonicalReference": "@loopback/context!Context:class" }, { "kind": "Content", "text": ", args: " }, { "kind": "Reference", "text": "OperationArgs", "canonicalReference": "@loopback/rest!OperationArgs:type" }, { "kind": "Content", "text": "): " }, { "kind": "Reference", "text": "Promise", "canonicalReference": "!Promise:interface" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "OperationRetval", "canonicalReference": "@loopback/rest!OperationRetval:type" }, { "kind": "Content", "text": ">" }, { "kind": "Content", "text": ";" } ], "isStatic": false, "returnTypeTokenRange": { "startIndex": 5, "endIndex": 9 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "requestContext", "parameterTypeTokenRange": { "startIndex": 1, "endIndex": 2 } }, { "parameterName": "args", "parameterTypeTokenRange": { "startIndex": 3, "endIndex": 4 } } ], "name": "invokeHandler" }, { "kind": "Property", "canonicalReference": "@loopback/rest!BaseRoute#path:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "readonly path: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "path", "propertyTypeTokenRange": { "startIndex": 1, "endIndex": 2 }, "isStatic": false }, { "kind": "Property", "canonicalReference": "@loopback/rest!BaseRoute#spec:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "readonly spec: " }, { "kind": "Reference", "text": "OperationObject", "canonicalReference": "openapi3-ts!OperationObject:interface" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "spec", "propertyTypeTokenRange": { "startIndex": 1, "endIndex": 2 }, "isStatic": false }, { "kind": "Method", "canonicalReference": "@loopback/rest!BaseRoute#updateBindings:member(1)", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "abstract updateBindings(requestContext: " }, { "kind": "Reference", "text": "Context", "canonicalReference": "@loopback/context!Context:class" }, { "kind": "Content", "text": "): " }, { "kind": "Content", "text": "void" }, { "kind": "Content", "text": ";" } ], "isStatic": false, "returnTypeTokenRange": { "startIndex": 3, "endIndex": 4 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "requestContext", "parameterTypeTokenRange": { "startIndex": 1, "endIndex": 2 } } ], "name": "updateBindings" }, { "kind": "Property", "canonicalReference": "@loopback/rest!BaseRoute#verb:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "readonly verb: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "verb", "propertyTypeTokenRange": { "startIndex": 1, "endIndex": 2 }, "isStatic": false } ], "implementsTokenRanges": [ { "startIndex": 1, "endIndex": 3 } ] }, { "kind": "TypeAlias", "canonicalReference": "@loopback/rest!BindElement:type", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "export declare type BindElement = " }, { "kind": "Content", "text": "(key: string) => " }, { "kind": "Reference", "text": "Binding", "canonicalReference": "@loopback/context!Binding:class" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "BindElement", "typeTokenRange": { "startIndex": 1, "endIndex": 3 } }, { "kind": "Class", "canonicalReference": "@loopback/rest!BindElementProvider:class", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "export declare class BindElementProvider implements " }, { "kind": "Reference", "text": "Provider", "canonicalReference": "@loopback/context!Provider:interface" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "BindElement", "canonicalReference": "@loopback/rest!BindElement:type" }, { "kind": "Content", "text": "> " } ], "releaseTag": "Public", "name": "BindElementProvider", "members": [ { "kind": "Constructor", "canonicalReference": "@loopback/rest!BindElementProvider:constructor(1)", "docComment": "/**\n * Constructs a new instance of the `BindElementProvider` class\n */\n", "excerptTokens": [ { "kind": "Content", "text": "constructor(context: " }, { "kind": "Reference", "text": "Context", "canonicalReference": "@loopback/context!Context:class" }, { "kind": "Content", "text": ");" } ], "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "context", "parameterTypeTokenRange": { "startIndex": 1, "endIndex": 2 } } ] }, { "kind": "Method", "canonicalReference": "@loopback/rest!BindElementProvider#action:member(1)", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "action(key: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": "): " }, { "kind": "Reference", "text": "Binding", "canonicalReference": "@loopback/context!Binding:class" }, { "kind": "Content", "text": ";" } ], "isStatic": false, "returnTypeTokenRange": { "startIndex": 3, "endIndex": 4 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "key", "parameterTypeTokenRange": { "startIndex": 1, "endIndex": 2 } } ], "name": "action" }, { "kind": "Property", "canonicalReference": "@loopback/rest!BindElementProvider#context:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "protected context: " }, { "kind": "Reference", "text": "Context", "canonicalReference": "@loopback/context!Context:class" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "context", "propertyTypeTokenRange": { "startIndex": 1, "endIndex": 2 }, "isStatic": false }, { "kind": "Method", "canonicalReference": "@loopback/rest!BindElementProvider#value:member(1)", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "value(): " }, { "kind": "Reference", "text": "BindElement", "canonicalReference": "@loopback/rest!BindElement:type" }, { "kind": "Content", "text": ";" } ], "isStatic": false, "returnTypeTokenRange": { "startIndex": 1, "endIndex": 2 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [], "name": "value" } ], "implementsTokenRanges": [ { "startIndex": 1, "endIndex": 5 } ] }, { "kind": "Interface", "canonicalReference": "@loopback/rest!BodyParser:interface", "docComment": "/**\n * Interface to be implemented by body parser extensions\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export interface BodyParser " } ], "releaseTag": "Public", "name": "BodyParser", "members": [ { "kind": "PropertySignature", "canonicalReference": "@loopback/rest!BodyParser#name:member", "docComment": "/**\n * Name of the parser\n */\n", "excerptTokens": [ { "kind": "Content", "text": "name: " }, { "kind": "Content", "text": "string | symbol" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "name", "propertyTypeTokenRange": { "startIndex": 1, "endIndex": 2 } }, { "kind": "MethodSignature", "canonicalReference": "@loopback/rest!BodyParser#parse:member(1)", "docComment": "/**\n * Parse the request body\n *\n * @param request - http request\n */\n", "excerptTokens": [ { "kind": "Content", "text": "parse(request: " }, { "kind": "Reference", "text": "Request", "canonicalReference": "@types/express!~e.Request:interface" }, { "kind": "Content", "text": "): " }, { "kind": "Reference", "text": "Promise", "canonicalReference": "!Promise:interface" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "RequestBody", "canonicalReference": "@loopback/rest!RequestBody:type" }, { "kind": "Content", "text": ">" }, { "kind": "Content", "text": ";" } ], "returnTypeTokenRange": { "startIndex": 3, "endIndex": 7 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "request", "parameterTypeTokenRange": { "startIndex": 1, "endIndex": 2 } } ], "name": "parse" }, { "kind": "MethodSignature", "canonicalReference": "@loopback/rest!BodyParser#supports:member(1)", "docComment": "/**\n * Indicate if the given media type is supported\n *\n * @param mediaType - Media type\n */\n", "excerptTokens": [ { "kind": "Content", "text": "supports(mediaType: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": "): " }, { "kind": "Content", "text": "boolean" }, { "kind": "Content", "text": ";" } ], "returnTypeTokenRange": { "startIndex": 3, "endIndex": 4 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "mediaType", "parameterTypeTokenRange": { "startIndex": 1, "endIndex": 2 } } ], "name": "supports" } ], "extendsTokenRanges": [] }, { "kind": "TypeAlias", "canonicalReference": "@loopback/rest!BodyParserFunction:type", "docComment": "/**\n * Plain function for body parsing\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export declare type BodyParserFunction = " }, { "kind": "Content", "text": "(request: " }, { "kind": "Reference", "text": "Request", "canonicalReference": "@types/express!~e.Request:interface" }, { "kind": "Content", "text": ") => " }, { "kind": "Reference", "text": "Promise", "canonicalReference": "!Promise:interface" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "RequestBody", "canonicalReference": "@loopback/rest!RequestBody:type" }, { "kind": "Content", "text": ">" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "BodyParserFunction", "typeTokenRange": { "startIndex": 1, "endIndex": 8 } }, { "kind": "Function", "canonicalReference": "@loopback/rest!compareRoute:function(1)", "docComment": "/**\n * Compare two routes by verb/path for sorting\n *\n * @param route1 - First route entry\n *\n * @param route2 - Second route entry\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export declare function compareRoute(route1: " }, { "kind": "Reference", "text": "Pick", "canonicalReference": "!Pick:type" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "RouteEntry", "canonicalReference": "@loopback/rest!RouteEntry:interface" }, { "kind": "Content", "text": ", 'verb' | 'path'>" }, { "kind": "Content", "text": ", route2: " }, { "kind": "Reference", "text": "Pick", "canonicalReference": "!Pick:type" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "RouteEntry", "canonicalReference": "@loopback/rest!RouteEntry:interface" }, { "kind": "Content", "text": ", 'verb' | 'path'>" }, { "kind": "Content", "text": "): " }, { "kind": "Content", "text": "number" }, { "kind": "Content", "text": ";" } ], "returnTypeTokenRange": { "startIndex": 11, "endIndex": 12 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "route1", "parameterTypeTokenRange": { "startIndex": 1, "endIndex": 5 } }, { "parameterName": "route2", "parameterTypeTokenRange": { "startIndex": 6, "endIndex": 10 } } ], "name": "compareRoute" }, { "kind": "TypeAlias", "canonicalReference": "@loopback/rest!ControllerClass:type", "docComment": "/**\n * Controller class\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export declare type ControllerClass<T extends " }, { "kind": "Reference", "text": "ControllerInstance", "canonicalReference": "@loopback/rest!ControllerInstance:type" }, { "kind": "Content", "text": "> = " }, { "kind": "Reference", "text": "Constructor", "canonicalReference": "@loopback/context!Constructor:type" }, { "kind": "Content", "text": "<T>" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "ControllerClass", "typeParameters": [ { "typeParameterName": "T", "constraintTokenRange": { "startIndex": 1, "endIndex": 2 }, "defaultTypeTokenRange": { "startIndex": 0, "endIndex": 0 } } ], "typeTokenRange": { "startIndex": 3, "endIndex": 5 } }, { "kind": "TypeAlias", "canonicalReference": "@loopback/rest!ControllerFactory:type", "docComment": "/**\n * A factory function to create controller instances synchronously or asynchronously\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export declare type ControllerFactory<T extends " }, { "kind": "Reference", "text": "ControllerInstance", "canonicalReference": "@loopback/rest!ControllerInstance:type" }, { "kind": "Content", "text": "> = " }, { "kind": "Content", "text": "(ctx: " }, { "kind": "Reference", "text": "Context", "canonicalReference": "@loopback/context!Context:class" }, { "kind": "Content", "text": ") => " }, { "kind": "Reference", "text": "ValueOrPromise", "canonicalReference": "@loopback/context!ValueOrPromise:type" }, { "kind": "Content", "text": "<T>" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "ControllerFactory", "typeParameters": [ { "typeParameterName": "T", "constraintTokenRange": { "startIndex": 1, "endIndex": 2 }, "defaultTypeTokenRange": { "startIndex": 0, "endIndex": 0 } } ], "typeTokenRange": { "startIndex": 3, "endIndex": 8 } }, { "kind": "TypeAlias", "canonicalReference": "@loopback/rest!ControllerInstance:type", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "export declare type ControllerInstance = " }, { "kind": "Content", "text": "{\n [name: string]: any;\n} & object" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "ControllerInstance", "typeTokenRange": { "startIndex": 1, "endIndex": 2 } }, { "kind": "Class", "canonicalReference": "@loopback/rest!ControllerRoute:class", "docComment": "/**\n * A route backed by a controller\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export declare class ControllerRoute<T> extends " }, { "kind": "Reference", "text": "BaseRoute", "canonicalReference": "@loopback/rest!BaseRoute:class" }, { "kind": "Content", "text": " " } ], "releaseTag": "Public", "typeParameters": [ { "typeParameterName": "T", "constraintTokenRange": { "startIndex": 0, "endIndex": 0 }, "defaultTypeTokenRange": { "startIndex": 0, "endIndex": 0 } } ], "name": "ControllerRoute", "members": [ { "kind": "Property", "canonicalReference": "@loopback/rest!ControllerRoute#_controllerCtor:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "protected readonly _controllerCtor: " }, { "kind": "Reference", "text": "ControllerClass", "canonicalReference": "@loopback/rest!ControllerClass:type" }, { "kind": "Content", "text": "<T>" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "_controllerCtor", "propertyTypeTokenRange": { "startIndex": 1, "endIndex": 3 }, "isStatic": false }, { "kind": "Property", "canonicalReference": "@loopback/rest!ControllerRoute#_controllerFactory:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "protected readonly _controllerFactory: " }, { "kind": "Reference", "text": "ControllerFactory", "canonicalReference": "@loopback/rest!ControllerFactory:type" }, { "kind": "Content", "text": "<T>" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "_controllerFactory", "propertyTypeTokenRange": { "startIndex": 1, "endIndex": 3 }, "isStatic": false }, { "kind": "Property", "canonicalReference": "@loopback/rest!ControllerRoute#_controllerName:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "protected readonly _controllerName: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "_controllerName", "propertyTypeTokenRange": { "startIndex": 1, "endIndex": 2 }, "isStatic": false }, { "kind": "Property", "canonicalReference": "@loopback/rest!ControllerRoute#_methodName:member", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "protected readonly _methodName: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "releaseTag": "Public", "name": "_methodName", "propertyTypeTokenRange": { "startIndex": 1, "endIndex": 2 }, "isStatic": false }, { "kind": "Constructor", "canonicalReference": "@loopback/rest!ControllerRoute:constructor(1)", "docComment": "/**\n * Construct a controller based route\n *\n * @param verb - http verb\n *\n * @param path - http request path\n *\n * @param spec - OpenAPI operation spec\n *\n * @param controllerCtor - Controller class\n *\n * @param controllerFactory - A factory function to create a controller instance\n *\n * @param methodName - Controller method name, default to `x-operation-name`\n */\n", "excerptTokens": [ { "kind": "Content", "text": "constructor(verb: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ", path: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ", spec: " }, { "kind": "Reference", "text": "OperationObject", "canonicalReference": "openapi3-ts!OperationObject:interface" }, { "kind": "Content", "text": ", controllerCtor: " }, { "kind": "Reference", "text": "ControllerClass", "canonicalReference": "@loopback/rest!ControllerClass:type" }, { "kind": "Content", "text": "<T>" }, { "kind": "Content", "text": ", controllerFactory?: " }, { "kind": "Reference", "text": "ControllerFactory", "canonicalReference": "@loopback/rest!ControllerFactory:type" }, { "kind": "Content", "text": "<T>" }, { "kind": "Content", "text": ", methodName?: " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ");" } ], "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "verb", "parameterTypeTokenRange": { "startIndex": 1, "endIndex": 2 } }, { "parameterName": "path", "parameterTypeTokenRange": { "startIndex": 3, "endIndex": 4 } }, { "parameterName": "spec", "parameterTypeTokenRange": { "startIndex": 5, "endIndex": 6 } }, { "parameterName": "controllerCtor", "parameterTypeTokenRange": { "startIndex": 7, "endIndex": 9 } }, { "parameterName": "controllerFactory", "parameterTypeTokenRange": { "startIndex": 10, "endIndex": 12 } }, { "parameterName": "methodName", "parameterTypeTokenRange": { "startIndex": 13, "endIndex": 14 } } ] }, { "kind": "Method", "canonicalReference": "@loopback/rest!ControllerRoute#describe:member(1)", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "describe(): " }, { "kind": "Content", "text": "string" }, { "kind": "Content", "text": ";" } ], "isStatic": false, "returnTypeTokenRange": { "startIndex": 1, "endIndex": 2 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [], "name": "describe" }, { "kind": "Method", "canonicalReference": "@loopback/rest!ControllerRoute#invokeHandler:member(1)", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "invokeHandler(requestContext: " }, { "kind": "Reference", "text": "Context", "canonicalReference": "@loopback/context!Context:class" }, { "kind": "Content", "text": ", args: " }, { "kind": "Reference", "text": "OperationArgs", "canonicalReference": "@loopback/rest!OperationArgs:type" }, { "kind": "Content", "text": "): " }, { "kind": "Reference", "text": "Promise", "canonicalReference": "!Promise:interface" }, { "kind": "Content", "text": "<" }, { "kind": "Reference", "text": "OperationRetval", "canonicalReference": "@loopback/rest!OperationRetval:type" }, { "kind": "Content", "text": ">" }, { "kind": "Content", "text": ";" } ], "isStatic": false, "returnTypeTokenRange": { "startIndex": 5, "endIndex": 9 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "requestContext", "parameterTypeTokenRange": { "startIndex": 1, "endIndex": 2 } }, { "parameterName": "args", "parameterTypeTokenRange": { "startIndex": 3, "endIndex": 4 } } ], "name": "invokeHandler" }, { "kind": "Method", "canonicalReference": "@loopback/rest!ControllerRoute#updateBindings:member(1)", "docComment": "", "excerptTokens": [ { "kind": "Content", "text": "updateBindings(requestContext: " }, { "kind": "Reference", "text": "Context", "canonicalReference": "@loopback/context!Context:class" }, { "kind": "Content", "text": "): " }, { "kind": "Content", "text": "void" }, { "kind": "Content", "text": ";" } ], "isStatic": false, "returnTypeTokenRange": { "startIndex": 3, "endIndex": 4 }, "releaseTag": "Public", "overloadIndex": 1, "parameters": [ { "parameterName": "requestContext", "parameterTypeTokenRange": { "startIndex": 1, "endIndex": 2 } } ], "name": "updateBindings" } ], "extendsTokenRange": { "startIndex": 1, "endIndex": 3 }, "implementsTokenRanges": [] }, { "kind": "Function", "canonicalReference": "@loopback/rest!createBodyParserBinding:function(1)", "docComment": "/**\n * Create a binding for the given body parser class\n *\n * @param parserClass - Body parser class\n *\n * @param key - Optional binding address\n */\n", "excerptTokens": [ { "kind": "Content", "text": "export declare function createBodyParserBinding(parserClass: " }, { "kind": "Reference", "text": "Constructor", "canonicalReference": "@loopback/context!Constructor:type" }, { "kind": "Content", "text": "<" }, { "kind": "Reference"